NtlmContext (JCIFS API)
Keywords: jcifs.smb.NtlmContext class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcifs.smb
Class NtlmContext

    java.lang.Object
      jcifs.smb.NtlmContext

    public class NtlmContext

extends java.lang.Object

For initiating NTLM authentication (including NTLMv2). If you want to add NTLMv2 authentication support to something this is what you want to use. See the code for details. Note that JCIFS does not implement the acceptor side of NTLM authentication.

Constructor Summary
`NtlmContext(NtlmPasswordAuthentication auth, boolean doSigning)`

Method Summary
`java.lang.String` | `getNetbiosName()`
`byte[]` | `getServerChallenge()`
`byte[]` | `getSigningKey()`
`byte[]` | `initSecContext(byte[] token, int offset, int len)`
`boolean` | `isEstablished()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NtlmContext

    public NtlmContext(NtlmPasswordAuthentication auth,
                       boolean doSigning)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isEstablished

    public boolean isEstablished()

### getServerChallenge

    public byte[] getServerChallenge()

### getSigningKey

    public byte[] getSigningKey()

### getNetbiosName

    public java.lang.String getNetbiosName()

### initSecContext

    public byte[] initSecContext(byte[] token,
                                 int offset,
                                 int len)
                          throws SmbException

  Throws:
    `SmbException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD